﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;


<table cellpadding="0" cellspacing="0" width="100%" border="0">
    <tr>
        <td align="left">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                        @Html.DevExpress().Label(
                                label =>
                                {
                                    label.ControlStyle.CssClass = "Label";
                                    label.Text = "PR Number";
                                    label.Style.Add("padding-right", "10px");
                                }).GetHtml()
                    </td>

                    <td>
                        @Html.DevExpress().TextBox(
                                    settings =>
                                    {
                                        settings.Name = "PRNumber";
                                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                        settings.Width = 133;
                                        settings.Enabled = false;
                                    }
                                ).GetHtml()
                    </td>
                    <td style="width:20px"></td> @* column spacing *@

                     <td>
                        @Html.DevExpress().Label(
                                label =>
                                {
                                    label.ControlStyle.CssClass = "Label";
                                    label.Text = "PR Date";
                                    label.Style.Add("padding-right", "10px");
                                }).GetHtml()
                    </td>

                     <td>
                         @Html.DevExpress().DateEdit(
                            dateEdit =>
                            {
                                dateEdit.Name = "PRDateFromx";
                                dateEdit.Width = Unit.Pixel(110);
                                dateEdit.Properties.EditFormat = EditFormat.Custom;
                                dateEdit.Properties.DisplayFormatString = "dd.MM.yyyy";
                                dateEdit.Properties.EditFormatString = "dd.MM.yyyy";
                                dateEdit.Date = DateTime.Now.AddDays(-1);
                                dateEdit.Enabled = false;

                                dateEdit.Style.Add("display", "inline-table");
                            }).GetHtml()
                    </td>

                    <td style="width:20px"></td> @* column spacing *@
                    
                     <td>
                        @Html.DevExpress().Label(
                                label =>
                                {
                                    label.ControlStyle.CssClass = "Label";
                                    label.Text = "Trucking";
                                    label.Style.Add("padding-right", "10px");
                                }).GetHtml()
                    </td>

                     <td>
                        @Html.DevExpress().TextBox(
                                    settings =>
                                    {
                                        settings.Name = "Trucking";
                                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                        settings.Width = 133;
                                        settings.Enabled = false;
                                    }
                                ).GetHtml()
                    </td>

                    <td style="width:20px"></td> @* column spacing *@

                     <td>
                        @Html.DevExpress().Label(
                                label =>
                                {
                                    label.ControlStyle.CssClass = "Label";
                                    label.Text = "Effective Date";
                                    label.Style.Add("padding-right", "10px");
                                }).GetHtml()
                    </td>

                    <td>
                         @Html.DevExpress().DateEdit(
                            dateEdit =>
                            {
                                dateEdit.Name = "PRDateTox";
                                dateEdit.Width = Unit.Pixel(110);
                                dateEdit.Properties.EditFormat = EditFormat.Custom;
                                dateEdit.Properties.DisplayFormatString = "dd.MM.yyyy";
                                dateEdit.Properties.EditFormatString = "dd.MM.yyyy";
                                dateEdit.Date = DateTime.Now.AddDays(-1);
                                dateEdit.Enabled = false;
                                dateEdit.Style.Add("display", "inline-table");
                            }).GetHtml()
                    </td>

                    <td style="width:20px"></td> @* column spacing *@

                     <td>
                        @Html.DevExpress().Label(
                                label =>
                                {
                                    label.ControlStyle.CssClass = "Label";
                                    label.Text = "Status";
                                    label.Style.Add("padding-right", "10px");
                                }).GetHtml()
                    </td>

                    <td>
                        @Html.DevExpress().ComboBox(
                                    settings =>
                                    {
                                        settings.Name = "Statusx";
                                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                        settings.Width = 133;
                                        settings.Enabled = false;
                                    }
                                ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
     </tr>

     <tr>
           <td>
                <p></p>
                <table border="0" cellpadding="0" cellspacing="0">
                    <tr>
                        <td> 
                             @Html.DevExpress().Button(
                                                button =>
                                                {
                                                    button.Name = "btnReleaseA";
                                                    button.Text = "Release Approval";
                                                    button.Width = Unit.Pixel(150);
                                                    button.Style.Add("display", "inline-table");
                                                    //button.ClientSideEvents.Click = "ClearGrid";
                                                }).GetHtml()
                        </td>

                        <td style="width:605px"></td> @* column spacing *@

                        <td> 
                             @Html.DevExpress().Button(
                                                button =>
                                                {
                                                    button.Name = "btnRejectA";
                                                    button.Text = "Reject";
                                                    button.Width = Unit.Pixel(80);
                                                    button.Style.Add("display", "inline-table");
                                                    //button.ClientSideEvents.Click = "ClearGrid";
                                                }).GetHtml()
                        </td>

                        <td style="width:10px"></td> @* column spacing *@

                        <td> 
                             @Html.DevExpress().Button(
                                                button =>
                                                {
                                                    button.Name = "btnDownloadP";
                                                    button.Text = "Download";
                                                    button.Width = Unit.Pixel(80);
                                                    button.Style.Add("display", "inline-table");
                                                    //button.ClientSideEvents.Click = "ClearGrid";
                                                }).GetHtml()
                        </td>

                        <td style="width:10px"></td> @* column spacing *@

                        <td> 
                             @Html.DevExpress().Button(
                                                button =>
                                                {
                                                    button.Name = "btnback";
                                                    button.Text = "Back";
                                                    button.Width = Unit.Pixel(80);
                                                    button.Style.Add("display", "inline-table");
                                                    //button.ClientSideEvents.Click = "ClearGrid";
                                                }).GetHtml()
                        </td>

                    </tr>
                </table>
           </td>
     </tr>
</table>
